function windowHeight() {

    var winHeight = $(window).height();



    $('.banner-slider .item, .page-title-bar').height(winHeight);



}



function stickyNav(){

    var windowpos = $(window).scrollTop();

    var bannerheight = $('.page-title-bar').height();



    if(windowpos >= 100){

        $('header').addClass('darkheader');

    } else{

        $('header').removeClass('darkheader');

    }



    if(windowpos >= 530){

        $('.menu-nav').addClass('sticky');

    } else{

        $('.menu-nav').removeClass('sticky');

    } 

}

function carousel() {

    $('.banner-slider .owl-carousel').owlCarousel({

        items: 1,

        loop: false,

        nav: false,

        dots: true,

        smartSpeed: 1000,

    })

    $('.testimonials .owl-carousel').owlCarousel({

        items: 1,

        loop: true,

        smartSpeed: 1000,

        responsive: {
            0:{
                nav: false,
                dots: true
            },
            768: {
                nav: true,
                dots: false
            }
        }

    })

}



function captionMovement() {

    var rect = $('.banner-slider, .page-title-bar')[0].getBoundingClientRect();

    var mouse = { x: 0, y: 0, moved: true };



    $(".banner-slider, .page-title-bar").mousemove(function(e) {

        mouse.moved = true;

        mouse.x = e.clientX - rect.left;

        mouse.y = e.clientY - rect.top;

    });



    // Ticker event will be called on every frame

    TweenLite.ticker.addEventListener('tick', function() {

        if (mouse.moved) {

            parallaxIt(".caption, .page-title-content", -5);

            //parallaxIt(".banner-image", -30);

        }

        mouse.moved = false;

    });



    function parallaxIt(target, movement) {

        TweenMax.to(target, 0.3, {

            x: (mouse.x - rect.width / 2) / rect.width * movement,

            y: (mouse.y - rect.height / 2) / rect.height * movement

        });

    }



    $(window).on('resize scroll', function() {

        rect = $('.caption, .page-title-content')[0].getBoundingClientRect();

    })

}



function toggleIcon() {

    $('.toggle-menu').on('click', function() {

        $(this).toggleClass('open-menu');

    })

}





function menuOpen() {

    $('.toggle-menu ').on('click', function() {

        $('body').addClass('menu-is-open')

    });

    $('.close-btn ').on('click', function() {

        $('body').removeClass('menu-is-open')

    });

}



function reservationForm(){

    $('.reservation-form').click(function (e) {



        e.stopPropagation();

    });

    $('.reservation-content, .close-btn').click(function (e) {

        e.preventDefault();

        $('.reservation-form').animate({

            right: '-33%'

        }, 400, function () {

            $('.reservation-content').fadeOut();

        });

    });



    $('.reservation-btn').click(function (e) {

        e.preventDefault();

        $('.reservation-content').fadeIn();

        $('.reservation-form').animate({

            right: '0%'

        }, 400);

    });

}



function cubePortfolio(){

    $('.menu_inner-category').each(function(){

        var filterContainerId = $(this).find('.filters-container').attr('id');

        var gridContainer = $(this).find('.grid-container').attr('id');

        $('#'+gridContainer).cubeportfolio({

            defaultFilter:$('#'+filterContainerId).find('li:first').data('filter'),

            filters: '#'+filterContainerId,

            layoutMode: 'grid',

            gridAdjustment:'responsive',

            gapHorizontal:40,

            gapVertical:40,

            mediaQueries: [

            {width: 1440, cols: 2}, 

            {width: 1024, cols: 2}, 

            {width: 768, cols: 2}, 

            {width: 480, cols: 1}, 

            {width: 320, cols: 1}

            ]

        });

    });

}









function preloader(){

  setTimeout(function(){

    $('.loader-wrapper').hide()

  },200);

}

function lightcase(){
    $('[data-rel^=lightcase]').lightcase();
}





$(document).ready(function() {

    preloader();

    windowHeight();

    carousel();

    menuOpen();

    captionMovement();

    reservationForm();

    cubePortfolio();

    lightcase();



    

    $('.message-btn').hover(

            function(){

                $(this).addClass('wobble');

            },

            function(){

                $(this).removeClass('wobble');

            }

        )



    $('#datepicker').datetimepicker({

        format: 'DD/MM/YYYY'

    });

    $('#timepicker').datetimepicker({

        format: 'LT'

    });



    new WOW().init();

    $('body').addClass('animate-logo');

        $('.parallax-background, .parallax-image').parallaxBackground();

     // for jyal animation

    //$('a[data-rel^=lightcase]').lightcase();

    $('[data-fancybox="gallery"]').fancybox({



    });



    // Navigation popup background-image movement on moouse move

    var lFollowX = 0,

    lFollowY = 0,

    x = 0,

    y = 0,

    friction = 1 / 30;



    function moveBackground() {

        x += (lFollowX - x) * friction;

        y += (lFollowY - y) * friction;



        translate = 'translate(' + x + 'px, ' + y + 'px) scale(1.1)';



        $('.bg-image').css({

            '-webit-transform': translate,

            '-moz-transform': translate,

            'transform': translate

        });



        window.requestAnimationFrame(moveBackground);

    }



    $('.nav-content').on('mousemove click', function(e) {



        var lMouseX = Math.max(-100, Math.min(100, $(window).width() / 2 - e.clientX));

        var lMouseY = Math.max(-100, Math.min(100, $(window).height() / 2 - e.clientY));

        lFollowX = (20 * lMouseX) / 100; // 100 : 12 = lMouxeX : lFollow

        lFollowY = (10 * lMouseY) / 100;



    });

    moveBackground();





    



});



$(window).resize(function() {

    windowHeight();

});

$(window).scroll(function(){

    stickyNav();

})